Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Interface IdeExpertPage

All Known Implementing Classes:
  IdeExpertPageSupport

public interface IdeExpertPage

Interface `IdeExperPage` defines an expert page. A bean object has to implements this interface in order to create a multi-page bean properties' inspector in `IdeWindowManager.customize` method.

Author:
  TogetherSoft
See Also: IdeWindowManager.customize(java.lang.Object,java.lang.String,java.lang.String)

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds specified change listener for this expert page.
`boolean` | `canFinish()` Checks whether it is possible to finish working with the bean's properties.
`boolean` | `canGetNextPage()` Checks whether it is possible to get the next page.
`IdeExpertListener` | `getExpertListener()` Returns listener to the events that activate when this page is selected.
`String` | `getHelpURL()` Returns the help URL.
`Object` | `getNextPage()` Returns the next page.
`String` | `getPageTitle()` Returns the name of expert page to be displayed in the dialog title.
`int` | `getTotalPages()` Returns the total number of pages.
`boolean` | `isLastPage()` Checks if the current page is the last one.
`void` | `removeChangeListener(ChangeListener listener)` Removes specified change listener from this expert page.

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Adds specified change listener for this expert page.
  Parameters:
    listener - `ChangeListener` to be added

### canFinish

    public boolean canFinish()

  Checks whether it is possible to finish working with the bean's properties.
  Returns: `true` if it is possible to finish working with bean's properties, `false` otherwise

### canGetNextPage

    public boolean canGetNextPage()

  Checks whether it is possible to get the next page.
  Parameters:
    `true` - the next page can be obtained, `false` otherwise

### getExpertListener

    public IdeExpertListener getExpertListener()

  Returns listener to the events that activate when this page is selected.

  This listener is notified when a page is initially selected and when the user requests performing various actions.

  Returns: `IdeExpertListener` object that represents a listener to the events activated when this page is selected

### getHelpURL

    public String getHelpURL()

  Returns the help URL.
  Returns: `String` that contains the help URL

### getNextPage

    public Object getNextPage()

  Returns the next page.
  Returns: `Object` that represents the next page

### getPageTitle

    public String getPageTitle()

  Returns the name of expert page to be displayed in the dialog title.
  Returns: name `String` of the expert page to be displayed in the dialog title

### getTotalPages

    public int getTotalPages()

  Returns the total number of pages. If this number is unknown, returns -1.
  Returns: `int` count of pages, or `-1` if unknown

### isLastPage

    public boolean isLastPage()

  Checks if the current page is the last one.
  Returns: `true` if the current page is the last one, `false` otherwise

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Removes specified change listener from this expert page.
  Parameters:
    listener - `ChangeListener` to be deleted

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD